package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFA89Response {

    @Parameter(name = "CelkovaSplatnaSplatka")
    Double celkovaSplatnaSplatka();

    @Parameter(name = "Data")
    java.util.List<MWFA89Data> data();

    @Parameter(name = "DatumGenerovaniVypisu")
    java.util.Date datumGenerovaniVypisu();

    @Parameter(name = "DisponibilniZustatek")
    Double disponibilniZustatek();

    @Parameter(name = "Pocet")
    Long pocet();

    @Parameter(name = "SplatkaBezneObdobi")
    Double splatkaBezneObdobi();

    @Parameter(name = "SplatkaMinuleObdobi")
    Double splatkaMinuleObdobi();

    @Parameter(name = "VyseVycerpanehoRamceKonec")
    Double vyseVycerpanehoRamceKonec();

    @Parameter(name = "VyseVycerpanehoRamceZacatek")
    Double vyseVycerpanehoRamceZacatek();

}